*, *:before, *:after, a {
    box-sizing: border-box;
    outline: none;
}

html {
    font-size: 100%;
}

body {
    width: 100%;
    height: 100%;
    position: relative;
    margin: 0;
    padding: 0;
    color: #000000;
    background-color: #1F1F1F;
    font-family: 'RobotoCondensed';
    -webkit-text-size-adjust: none;
    -webkit-font-smoothing: antialiased;
}

a:link, a:visited, a:focus, a:hover {
    outline: none;
    text-decoration: none;
    color: #FFF801;
}

input, textarea, button, select {
    outline: none;
    font-family: 'RobotoCondensed';
    font-size: 100%;
    -webkit-appearance: none;
}

#menu_line {
    z-index: 10000;
}

#menu_gap {
    width: 100%;
    height: 96px;
}

.center_1200_to_320 {
    margin: 0 auto;
    display: block;
    width: 100%;
    min-width: 280px;
    max-width: 1200px;
    text-align: center;
}

.bg_green {
    width: 100%;
    background: #7fc9b3;
    background: -moz-radial-gradient(center, ellipse cover,  #7fc9b3 0%, #407968 100%);
    background: -webkit-radial-gradient(center, ellipse cover,  #7fc9b3 0%,#407968 100%);
    background: radial-gradient(ellipse at center,  #7fc9b3 0%,#407968 100%);

}

.bg_pattern {
    width: 100%;
    background-image: url(../images/cinema_bg.png);
    background-position: left top;
    background-repeat: repeat;
    padding-top: 2rem;
    padding-bottom: 4rem;
}

#game_screen {
    position: relative;
    width: 100%;
}


.films_header_block {
    width: 100%;
    line-height: 0;
    text-align: center;
}

.films_header_block img {
    width: 70%;
    height: auto;
}

.films_header_text {
    width: 100%;
    text-align: center;
    padding: 1rem;
    font-size: 200%;
    color: #669b8b;
    background: #ffffff;
    font-family: 'Montserrat', sans-serif;
}

#films_start_button {
    display: inline-block;
    padding: 1rem;
    text-align: center;
    background: #ffa84c;
    background: -moz-linear-gradient(top,  #ffa84c 0%, #E06500 100%);
    background: -webkit-linear-gradient(top,  #ffa84c 0%, #E06500 100%);
    background: linear-gradient(to bottom,  #ffa84c 0%, #E06500 100%);
    color: #ffffff;
    border-radius: 8px;
    font-family: 'Montserrat', sans-serif;
    -webkit-box-shadow: 0px 2px 8px 0px rgba(34, 60, 80, 0.2);
    -moz-box-shadow: 0px 2px 8px 0px rgba(34, 60, 80, 0.2);
    box-shadow: 0px 2px 8px 0px rgba(34, 60, 80, 0.2);
    cursor: pointer;
}

.films_wheel_block {
    position: relative;
    width: 100%;
    text-align: center;
    margin-top: 2rem;
}

.films_wheel
{
    display: inline-block;
    width: 700px;
    height: 700px;
    padding: 50px;
    text-align: center;
    background-image: url(../images/wheel_bg.png);
    background-position: center center;
    background-repeat: no-repeat;
}

#result_overlay {
    position: fixed;
    width: 100%;
    height: 100vh;
    left: 0;
    top: 0;
    z-index: 10000;
    background: rgba(0, 0, 0, 0.8);
    display: none;
}

#result_table {
    display: table;
    width: 100%;
    height: 100vh;
}

.result_row {
    width: 100%;
    display: table-row;
}

.result_cell {
    width: 100%;
    height: 100vh;
    display: table-cell;
    text-align: center;
    vertical-align: middle;
}

.result_body {
    display: inline-block;
    background: #ffffff;
    padding: 2rem;
    border-radius: 1rem;
}

.result_grid {
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;

    -webkit-flex-wrap: nowrap;
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;

    -webkit-justify-content: space-between;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

.result_text {
    width: 350px;
    text-align: left;
}

.result_poster {
    width: 250px;
    padding-left: 2rem;
}

#result_poster_image {
    width: 100%;
    height: auto;
    border-radius: 4px;
}

#result_text_header {
    font-size: 110%;
    color: #000000;
    font-family: 'Montserrat', sans-serif;
}

#result_text_name {
    font-size: 150%;
    color: #669b8b;
    font-family: 'Montserrat', sans-serif;
}

#result_text_desc {
    font-size: 90%;
    color: #4A4A4A;
    margin-top: 1rem;
}

#result_text_link {
    display: block;
    color: #E06500;
    font-size: 80%;
    font-family: 'Montserrat', sans-serif;
    margin-top: 0.7rem;
}

#result_again_button {
    width: 100%;
    font-size: 80%;
    padding: 1rem;
    text-align: center;
    background: #ffa84c;
    background: -moz-linear-gradient(top,  #ffa84c 0%, #E06500 100%);
    background: -webkit-linear-gradient(top,  #ffa84c 0%, #E06500 100%);
    background: linear-gradient(to bottom,  #ffa84c 0%, #E06500 100%);
    color: #ffffff;
    border-radius: 8px;
    font-family: 'Montserrat', sans-serif;
    -webkit-box-shadow: 0px 2px 8px 0px rgba(34, 60, 80, 0.2);
    -moz-box-shadow: 0px 2px 8px 0px rgba(34, 60, 80, 0.2);
    box-shadow: 0px 2px 8px 0px rgba(34, 60, 80, 0.2);
    cursor: pointer;
}

@media all and (min-width: 1px)and (max-width: 800px) {
    .films_wheel_block { max-width: 100%; overflow: hidden; text-align: center; }
    .films_wheel { margin-left: calc(100vw/2 - 350px);  }
    .result_grid {
        -webkit-flex-wrap: wrap;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }

    .result_cell { padding: 1rem; }
    .result_body { padding: 1rem; overflow-x: hidden; overflow-y: scroll; max-height: calc(100vh - 90px) }
    .result_text { width: 100%; }
    .result_poster { width: 100%; padding-left: 0; }
    #result_text_link { margin-bottom: 1rem; font-size: 70%; }
}
